# smfi_progress

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_progress(
    	SMFICTX *ctx;
    );

Notify the MTA that an operation is still in progress.

DESCRIPTION

Called When | Called only from xxfi_eom.
Effects | smfi_progress notifies the MTA that the filter is still working on a message, causing the MTA to re-start its timeouts.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.

RETURN VALUES

smfi_progress will fail and return MI_FAILURE if:

- A network error occurs.

Otherwise, it will return MI_SUCCESS

Copyright (c) 2003 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.